/*
	General List Control Callbacks

	For handling of common GtkClist key and pointer events
 */

#ifndef LISTCB_H
#define LISTCB_H

#include <gtk/gtk.h>


extern gint EDVCListKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint EDVCListButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint EDVCListMotionEventCB(
	GtkWidget *widget, GdkEventMotion *motion, gpointer data
);


extern gint EDVTListKeyEventCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);
extern gint EDVTListButtonEventCB(
	GtkWidget *widget, GdkEventButton *button, gpointer data
);
extern gint EDVTListMotionEventCB(
	GtkWidget *widget, GdkEventMotion *motion, gpointer data
);


#endif	/* LISTCB_H */
